package com.tiangua.star.controller;

import com.tiangua.kirin.api.MessageResult;
import com.tiangua.star.model.ThirdStarDto;
import com.tiangua.star.model.XdOrderDto;
import com.tiangua.star.service.CallBackService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @author

  * @project loan-supermarket-parent
 * @date 2025/3/21 10:45:49
 */
@RestController
@RequestMapping(value = "/third/callback")
@Slf4j
public class ThirdCallBackController {

    @Autowired
    private CallBackService callBackService;

    @PostMapping("/request")
    public MessageResult<Integer> request(@RequestBody Map<String, List<ThirdStarDto>> map) {
        log.info("thirdGainStarData get begin map{}",map);
        List<ThirdStarDto> data = map.get("data");
        if (CollectionUtils.isEmpty(data)) {
            log.info("thirdGainStarData 解析回传数据为null");
            return MessageResult.ok();
        }
        callBackService.thirdProcessInstitutionData(data);
        log.info("thirdGainStarData get end");
        return MessageResult.ok();
    }
}
