package com.tiangua.star.controller;

import com.alibaba.fastjson.JSONObject;
import com.tiangua.kirin.api.MessageResult;
import com.tiangua.star.service.XinLuService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @author
 * @description 本应用 +诚易融 需求开发上线一共两天
 *              流程：诚易融定时任务扫，将api存在starl的http推送过来
 *                  本应用使用http请求接受，获取数据，并对应星级，然后返回诚意融，不用mq 没有为什么
  * @project loan-supermarket-parent
 * @date 2025/3/21 10:45:49
 */
@RestController
@RequestMapping(value = "/xinlu")
@Slf4j
public class XinLuController {

    @Autowired
    private XinLuService xinLuService;

    @PostMapping("/request")
    public MessageResult<Integer> request(@RequestBody Map<String,List<JSONObject>> map) {
        log.info("xinlu get begin map{}",map);
        List<JSONObject> data = map.get("data");
        if (CollectionUtils.isEmpty(data)) {
            log.info("xinlu 解析回传数据为null");
            return MessageResult.ok();
        }
        xinLuService.processInstitutionData(data);
        log.info("xinlu get end");
        return MessageResult.ok();
    }
}
